///////////////////////////////////////////////////////////////////////////
////   Library for a 24FC515 serial EEPROM                             ////
////                                                                   ////
////   init_ext_eeprom();    Call before the other functions are used  ////
////                                                                   ////
////   write_ext_eeprom(a, d);  Write the byte d to the address a      ////
////                                                                   ////
////   d = read_ext_eeprom(a);   Read the byte d from the address a    ////
////                                                                   ////
////   The main program may define eeprom_sda                          ////
////   and eeprom_scl to override the defaults below.                  ////
////                                                                   ////
///////////////////////////////////////////////////////////////////////////
////        (C) Copyright 1996,2003 Custom Computer Services           ////
//// This source code may only be used by licensed users of the CCS C  ////
//// compiler.  This source code may only be distributed to other      ////
//// licensed users of the CCS C compiler.  No other use, reproduction ////
//// or distribution is permitted without written permission.          ////
//// Derivative programs created using this software in object code    ////
//// form are not restricted in any way.                               ////
///////////////////////////////////////////////////////////////////////////

/*
#ifndef EEPROM_SDA

#define EEPROM_SDA  PIN_B1
#define EEPROM_SCL  PIN_B0

#endif
*/


//#use i2c(master, sda=EEPROM_SDA, scl=EEPROM_SCL)

//#define EEPROM_ADDRESS long int
//#define EEPROM_SIZE   65535 * 2



// On board module
#define EEPROM_WRITE 0xa0
#define EEPROM_READ 0xa1

// Breadboard Module AT24C02
//#define EEPROM_WRITE 0xa8
//#define EEPROM_READ 0xa9


void write_ext_eeprom(long int, BYTE data);
void init_ext_eeprom();
BYTE read_ext_eeprom(long int);
void write_ext_eeprom_page(long int address, char *data, long num_bytes);
void read_ext_eeprom_sequential(long int address, char *data, long num_bytes);
void test_EEPROM();